## recoll 1.17.3

=== aspell/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = rclaspell
SRCS = rclaspell.cpp

all: depend $(BIGLIB) $(PROGS)

RCLASPELL_OBJS= trrclaspell.o  $(BIGLIB) 
rclaspell : $(RCLASPELL_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o rclaspell $(RCLASPELL_OBJS) \
	       $(LIBXAPIAN) $(LIBICONV)
trrclaspell.o : rclaspell.cpp
	$(CXX) $(ALL_CXXFLAGS) -DTEST_RCLASPELL -c -o trrclaspell.o \
	       rclaspell.cpp

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

depend: alldeps.stamp
alldeps.stamp : $(SRCS)
	$(CXX) -M $(ALL_CXXFLAGS) $(SRCS) > alldeps
	touch alldeps.stamp

clean:
	cp /dev/null alldeps
	rm -f alldeps.stamp
	rm -f *.o $(PROGS)

include alldeps

=== bincimapmime/Makefile ===
# @(#$Id: Makefile,v 1.6 2006-01-19 12:01:42 dockes Exp $  (C) 2005 J.F.Dockes

depth = ..
include $(depth)/mk/sysconf

LIBS = libmime.a
PROGS = trbinc

all: depend $(LIBS) 

SRCS = mime-parsefull.cc mime-parseonlyheader.cc \
     mime-printbody.cc mime.cc \
     convert.cc iodevice.cc iofactory.cc

OBJS = mime-parsefull.o mime-parseonlyheader.o \
     mime-printbody.o mime.o  \
     convert.o iodevice.o iofactory.o

libmime.a : $(OBJS)
	 $(AR) ru libmime.a $(OBJS)

.cc.o:
	$(CXX) $(ALL_CXXFLAGS) -c $<

TRBINCOBJS = trbinc.o
trbinc: trbinc.o
	$(CXX) -o trbinc trbinc.o libmime.a 

depend: alldeps.stamp
alldeps.stamp : $(SRCS)
	$(CXX) -M $(ALL_CXXFLAGS) $(SRCS) > alldeps
	touch alldeps.stamp

clean:
	cp /dev/null alldeps
	rm -f alldeps.stamp
	rm -f ${LIBS} ${PROGS} ${OBJS}

include alldeps

=== common/Makefile ===
# @(#$Id: Makefile,v 1.16 2008-12-17 14:26:49 dockes Exp $  (C) 2005 J.F.Dockes
depth = ..
include $(depth)/mk/sysconf

# Only test executables get build in here
PROGS = unacpp textsplit rclconfig

all: $(BIGLIB) $(PROGS) 

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

UNACPP_OBJS= trunacpp.o $(BIGLIB)
unacpp : $(UNACPP_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o unacpp $(UNACPP_OBJS) \
	       $(LIBICONV)
trunacpp.o : unacpp.cpp unacpp.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_UNACPP -c -o trunacpp.o unacpp.cpp

TEXTSPLIT_OBJS= trtextsplit.o  $(BIGLIB)
textsplit : $(TEXTSPLIT_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o textsplit $(TEXTSPLIT_OBJS) $(LIBICONV)
trtextsplit.o : textsplit.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_TEXTSPLIT -c -o trtextsplit.o \
	       textsplit.cpp

RCLCONFIG_OBJS= trrclconfig.o  $(BIGLIB) 
rclconfig : $(RCLCONFIG_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o rclconfig $(RCLCONFIG_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trrclconfig.o : rclconfig.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_RCLCONFIG -c -o trrclconfig.o \
	       rclconfig.cpp

clean:
	rm -f *.o $(PROGS)

=== index/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = recollindex 
SRCS = recollindex.cpp rclmonrcv.cpp rclmonprc.cpp

all: depend $(PROGS) $(BIGLIB)

RECOLLINDEX_OBJS= recollindex.o rclmonrcv.o rclmonprc.o $(BIGLIB) 
recollindex : $(RECOLLINDEX_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o recollindex $(RECOLLINDEX_OBJS) \
	       $(BSTATIC) $(LIBXAPIAN) $(LIBXAPIANSTATICEXTRA) \
	       $(LIBICONV) $(BDYNAMIC) \
	       $(LIBFAM) \
	       $(X_LIBS) $(X_PRE_LIBS) $(X_LIBX11) $(X_EXTRA_LIBS) \
	       $(LIBSYS)
recollindex.o : recollindex.cpp
	$(CXX) $(ALL_CXXFLAGS) -c -o recollindex.o $<
rclmonrcv.o : rclmonrcv.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c -o rclmonrcv.o $<
rclmonprc.o : rclmonprc.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c -o rclmonprc.o $<

SUBTREELIST_OBJS= subtreelist.o  $(BIGLIB) 
subtreelist : $(SUBTREELIST_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o subtreelist $(SUBTREELIST_OBJS) \
	       $(LIBICONV) $(LIBXAPIAN) $(LIBSYS)
subtreelist.o : subtreelist.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_SUBTREELIST -c subtreelist.cpp

MIMETYPE_OBJS= trmimetype.o  $(BIGLIB) 
mimetype : $(MIMETYPE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o mimetype $(MIMETYPE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trmimetype.o : mimetype.cpp
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMETYPE -c -o trmimetype.o \
	       mimetype.cpp

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

depend: alldeps.stamp
alldeps.stamp : $(SRCS)
	$(CXX) -M $(ALL_CXXFLAGS) $(SRCS) > alldeps
	touch alldeps.stamp

clean:
	cp /dev/null alldeps
	rm -f alldeps.stamp
	rm -f *.o $(PROGS)

include alldeps

=== internfile/Makefile ===
# @(#$Id: Makefile,v 1.4 2008-11-24 15:47:40 dockes Exp $  (C) 2005 J.F.Dockes
depth = ..
include $(depth)/mk/sysconf

# Only test executables get build in here
PROGS = mh_mbox internfile

all: $(BIGLIB) $(PROGS) 

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

INTERNFILE_OBJS= trinternfile.o  $(BIGLIB) 
internfile : $(INTERNFILE_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o internfile $(INTERNFILE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trinternfile.o : internfile.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_INTERNFILE -c -o trinternfile.o \
	       internfile.cpp

MH_MBOX_OBJS= trmh_mbox.o  $(BIGLIB) 
mh_mbox : $(MH_MBOX_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o mh_mbox $(MH_MBOX_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trmh_mbox.o : mh_mbox.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MH_MBOX -c -o trmh_mbox.o \
	       mh_mbox.cpp


clean:
	rm -f *.o $(PROGS)

=== lib/Makefile ===
# DONT EDIT BY HAND: created by script mkMake
depth = ..
include $(depth)/mk/sysconf

LIBS = librcl.a

all: $(LIBS)

OBJS =  rclaspell.o beaglequeuecache.o cstr.o rclconfig.o rclinit.o textsplit.o unacpp.o beaglequeue.o fsindexer.o indexer.o mimetype.o subtreelist.o htmlparse.o myhtmlparse.o mimehandler.o internfile.o mh_exec.o mh_execm.o mh_html.o mh_mail.o mh_mbox.o mh_text.o txtdcode.o docseq.o docseqdb.o docseqhist.o filtseq.o dynconf.o plaintorich.o recollq.o reslistpager.o sortseq.o wasastringtoquery.o wasatorcl.o rcldb.o rcldoc.o rclquery.o searchdata.o stemdb.o stoplist.o base64.o circache.o closefrom.o conftree.o copyfile.o debuglog.o ecrontab.o execmd.o fstreewalk.o idfile.o fileudi.o md5.o mimeparse.o netcon.o pathut.o pxattr.o rclionice.o readfile.o smallut.o transcode.o wipedir.o x11mon.o mime-parsefull.o mime-parseonlyheader.o mime-printbody.o mime.o convert.o iodevice.o iofactory.o
DEPS =  rclaspell.dep.stamp beaglequeuecache.dep.stamp cstr.dep.stamp rclconfig.dep.stamp rclinit.dep.stamp textsplit.dep.stamp unacpp.dep.stamp beaglequeue.dep.stamp fsindexer.dep.stamp indexer.dep.stamp mimetype.dep.stamp subtreelist.dep.stamp htmlparse.dep.stamp myhtmlparse.dep.stamp mimehandler.dep.stamp internfile.dep.stamp mh_exec.dep.stamp mh_execm.dep.stamp mh_html.dep.stamp mh_mail.dep.stamp mh_mbox.dep.stamp mh_text.dep.stamp txtdcode.dep.stamp docseq.dep.stamp docseqdb.dep.stamp docseqhist.dep.stamp filtseq.dep.stamp dynconf.dep.stamp plaintorich.dep.stamp recollq.dep.stamp reslistpager.dep.stamp sortseq.dep.stamp wasastringtoquery.dep.stamp wasatorcl.dep.stamp rcldb.dep.stamp rcldoc.dep.stamp rclquery.dep.stamp searchdata.dep.stamp stemdb.dep.stamp stoplist.dep.stamp base64.dep.stamp circache.dep.stamp closefrom.dep.stamp conftree.dep.stamp copyfile.dep.stamp debuglog.dep.stamp ecrontab.dep.stamp execmd.dep.stamp fstreewalk.dep.stamp idfile.dep.stamp fileudi.dep.stamp md5.dep.stamp mimeparse.dep.stamp netcon.dep.stamp pathut.dep.stamp pxattr.dep.stamp rclionice.dep.stamp readfile.dep.stamp smallut.dep.stamp transcode.dep.stamp wipedir.dep.stamp x11mon.dep.stamp mime-parsefull.dep.stamp mime-parseonlyheader.dep.stamp mime-printbody.dep.stamp mime.dep.stamp convert.dep.stamp iodevice.dep.stamp iofactory.dep.stamp

librcl.a : $(DEPS) $(OBJS) unac.o
	ar ru librcl.a $(OBJS) unac.o
	$(RANLIB) librcl.a

unac.o : $(depth)/unac/unac.c $(depth)/unac/unac.h $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c $(depth)/unac/unac.c
rclaspell.o : ../aspell/rclaspell.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../aspell/rclaspell.cpp
beaglequeuecache.o : ../common/beaglequeuecache.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../common/beaglequeuecache.cpp
cstr.o : ../common/cstr.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../common/cstr.cpp
rclconfig.o : ../common/rclconfig.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../common/rclconfig.cpp
rclinit.o : ../common/rclinit.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../common/rclinit.cpp
textsplit.o : ../common/textsplit.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../common/textsplit.cpp
unacpp.o : ../common/unacpp.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../common/unacpp.cpp
beaglequeue.o : ../index/beaglequeue.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../index/beaglequeue.cpp
fsindexer.o : ../index/fsindexer.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../index/fsindexer.cpp
indexer.o : ../index/indexer.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../index/indexer.cpp
mimetype.o : ../index/mimetype.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../index/mimetype.cpp
subtreelist.o : ../index/subtreelist.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../index/subtreelist.cpp
htmlparse.o : ../internfile/htmlparse.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/htmlparse.cpp
myhtmlparse.o : ../internfile/myhtmlparse.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/myhtmlparse.cpp
mimehandler.o : ../internfile/mimehandler.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mimehandler.cpp
internfile.o : ../internfile/internfile.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/internfile.cpp
mh_exec.o : ../internfile/mh_exec.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_exec.cpp
mh_execm.o : ../internfile/mh_execm.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_execm.cpp
mh_html.o : ../internfile/mh_html.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_html.cpp
mh_mail.o : ../internfile/mh_mail.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_mail.cpp
mh_mbox.o : ../internfile/mh_mbox.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_mbox.cpp
mh_text.o : ../internfile/mh_text.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_text.cpp
txtdcode.o : ../internfile/txtdcode.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/txtdcode.cpp
docseq.o : ../query/docseq.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseq.cpp
docseqdb.o : ../query/docseqdb.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseqdb.cpp
docseqhist.o : ../query/docseqhist.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseqhist.cpp
filtseq.o : ../query/filtseq.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/filtseq.cpp
dynconf.o : ../query/dynconf.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/dynconf.cpp
plaintorich.o : ../query/plaintorich.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/plaintorich.cpp
recollq.o : ../query/recollq.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/recollq.cpp
reslistpager.o : ../query/reslistpager.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/reslistpager.cpp
sortseq.o : ../query/sortseq.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/sortseq.cpp
wasastringtoquery.o : ../query/wasastringtoquery.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/wasastringtoquery.cpp
wasatorcl.o : ../query/wasatorcl.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../query/wasatorcl.cpp
rcldb.o : ../rcldb/rcldb.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/rcldb.cpp
rcldoc.o : ../rcldb/rcldoc.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/rcldoc.cpp
rclquery.o : ../rcldb/rclquery.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/rclquery.cpp
searchdata.o : ../rcldb/searchdata.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/searchdata.cpp
stemdb.o : ../rcldb/stemdb.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/stemdb.cpp
stoplist.o : ../rcldb/stoplist.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/stoplist.cpp
base64.o : ../utils/base64.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/base64.cpp
circache.o : ../utils/circache.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/circache.cpp
closefrom.o : ../utils/closefrom.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/closefrom.cpp
conftree.o : ../utils/conftree.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/conftree.cpp
copyfile.o : ../utils/copyfile.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/copyfile.cpp
debuglog.o : ../utils/debuglog.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/debuglog.cpp
ecrontab.o : ../utils/ecrontab.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/ecrontab.cpp
execmd.o : ../utils/execmd.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/execmd.cpp
fstreewalk.o : ../utils/fstreewalk.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/fstreewalk.cpp
idfile.o : ../utils/idfile.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/idfile.cpp
fileudi.o : ../utils/fileudi.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/fileudi.cpp
md5.o : ../utils/md5.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/md5.cpp
mimeparse.o : ../utils/mimeparse.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/mimeparse.cpp
netcon.o : ../utils/netcon.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/netcon.cpp
pathut.o : ../utils/pathut.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/pathut.cpp
pxattr.o : ../utils/pxattr.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/pxattr.cpp
rclionice.o : ../utils/rclionice.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/rclionice.cpp
readfile.o : ../utils/readfile.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/readfile.cpp
smallut.o : ../utils/smallut.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/smallut.cpp
transcode.o : ../utils/transcode.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/transcode.cpp
wipedir.o : ../utils/wipedir.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/wipedir.cpp
x11mon.o : ../utils/x11mon.cpp $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../utils/x11mon.cpp
mime-parsefull.o : ../bincimapmime/mime-parsefull.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-parsefull.cc
mime-parseonlyheader.o : ../bincimapmime/mime-parseonlyheader.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-parseonlyheader.cc
mime-printbody.o : ../bincimapmime/mime-printbody.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime-printbody.cc
mime.o : ../bincimapmime/mime.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/mime.cc
convert.o : ../bincimapmime/convert.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/convert.cc
iodevice.o : ../bincimapmime/iodevice.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/iodevice.cc
iofactory.o : ../bincimapmime/iofactory.cc $(depth)/mk/localdefs
	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/iofactory.cc
depend: $(DEPS)
clean:
	rm -f $(OBJS) $(LIBS) $(DEPS) *.stamp unac.o
	for i in *.dep;do test -f $$i && cp /dev/null $$i;done
distclean: clean
	rm -f *.dep   
rclaspell.dep.stamp : ../aspell/rclaspell.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../aspell/rclaspell.cpp > rclaspell.dep
	touch rclaspell.dep.stamp
beaglequeuecache.dep.stamp : ../common/beaglequeuecache.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../common/beaglequeuecache.cpp > beaglequeuecache.dep
	touch beaglequeuecache.dep.stamp
cstr.dep.stamp : ../common/cstr.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../common/cstr.cpp > cstr.dep
	touch cstr.dep.stamp
rclconfig.dep.stamp : ../common/rclconfig.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../common/rclconfig.cpp > rclconfig.dep
	touch rclconfig.dep.stamp
rclinit.dep.stamp : ../common/rclinit.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../common/rclinit.cpp > rclinit.dep
	touch rclinit.dep.stamp
textsplit.dep.stamp : ../common/textsplit.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../common/textsplit.cpp > textsplit.dep
	touch textsplit.dep.stamp
unacpp.dep.stamp : ../common/unacpp.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../common/unacpp.cpp > unacpp.dep
	touch unacpp.dep.stamp
beaglequeue.dep.stamp : ../index/beaglequeue.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../index/beaglequeue.cpp > beaglequeue.dep
	touch beaglequeue.dep.stamp
fsindexer.dep.stamp : ../index/fsindexer.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../index/fsindexer.cpp > fsindexer.dep
	touch fsindexer.dep.stamp
indexer.dep.stamp : ../index/indexer.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../index/indexer.cpp > indexer.dep
	touch indexer.dep.stamp
mimetype.dep.stamp : ../index/mimetype.cpp $(depth)/mk/localdefs
	$(CXX) -M $(ALL_CXXFLAGS) ../index/mimetype.cpp > mimetype.dep
	touch mimetype.dep.stamp

=== query/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = xadump recollq #trhist qtry qxtry 

all: $(PROGS)

SRCS = xadump.cpp rclqlang.cpp
.cpp.o : 
	$(CXX) -c $(ALL_CXXFLAGS) -o $@ $<

XADUMP_OBJS= xadump.o $(BIGLIB)
xadump : $(XADUMP_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o xadump $(XADUMP_OBJS) \
	       $(LIBICONV) $(LIBXAPIAN) $(LIBSYS)

RECOLLQ_OBJS= recollq.o  $(BIGLIB) 
recollq : $(RECOLLQ_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o recollq $(RECOLLQ_OBJS) \
	       $(LIBICONV) $(LIBXAPIAN) $(LIBSYS)
recollq.o : recollq.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_RECOLLQ -c recollq.cpp

HISTORY_OBJS= trhist.o  $(BIGLIB) 
trhist : $(HISTORY_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trhist $(HISTORY_OBJS) \
	       $(LIBICONV) $(LIBXAPIAN)
trhist.o : history.cpp history.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_HISTORY -c -o trhist.o history.cpp

WASASTRINGTOQUERY_OBJS= trwasastrtoq.o  $(BIGLIB) 
trwasastrtoq : $(WASASTRINGTOQUERY_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trwasastrtoq $(WASASTRINGTOQUERY_OBJS) \
             $(LIBICONV) $(LIBXAPIAN)
trwasastrtoq.o : wasastringtoquery.cpp wasastringtoquery.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_WASASTRINGTOQUERY -c \
             -o trwasastrtoq.o wasastringtoquery.cpp

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

  
depend: alldeps.stamp
alldeps.stamp : $(SRCS)
	$(CXX) -M $(ALL_CXXFLAGS) $(SRCS) > alldeps
	touch alldeps.stamp

clean:
	cp /dev/null alldeps
	rm -f alldeps.stamp
	rm -f *.o $(PROGS)

include alldeps

=== rcldb/Makefile ===
# @(#$Id: Makefile,v 1.1 2007-06-02 08:30:42 dockes Exp $  (C) 2005 J.F.Dockes
depth = ..
include $(depth)/mk/sysconf

# Only test executables get build in here
PROGS = stoplist

all: $(BIGLIB) $(PROGS) 

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

STOPLIST_OBJS= trstoplist.o  $(BIGLIB)
stoplist : $(STOPLIST_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o stoplist $(STOPLIST_OBJS) \
	   $(LIBICONV) $(LIBSYS)
trstoplist.o : stoplist.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_STOPLIST -c -o trstoplist.o \
	       stoplist.cpp

clean:
	rm -f *.o $(PROGS)

=== utils/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = trecrontab 
      #trnetcon trcopyfile trcircache trmd5 trreadfile trfileudi \
      #trconftree wipedir smallut  trfstreewalk trpathut transcode trbase64 \
      #trmimeparse trexecmd utf8iter idfile

all: $(PROGS) $(BIGLIB)

$(BIGLIB): force
	cd $(depth)/lib;$(MAKE)
force:

ECRONTAB_OBJS= trecrontab.o $(BIGLIB)
trecrontab : $(ECRONTAB_OBJS)
	$(CXX) -o trecrontab $(ECRONTAB_OBJS) $(LIBICONV) \
	       $(LIBSYS)
trecrontab.o : ecrontab.cpp ecrontab.h
	$(CXX) -o trecrontab.o -c $(ALL_CXXFLAGS) \
	       -DTEST_ECRONTAB ecrontab.cpp

FSTREEWALK_OBJS= trfstreewalk.o $(BIGLIB)
trfstreewalk : $(FSTREEWALK_OBJS)
	$(CXX) -o trfstreewalk $(FSTREEWALK_OBJS) $(LIBICONV) \
	       $(LIBSYS)
trfstreewalk.o : fstreewalk.cpp fstreewalk.h
	$(CXX) -o trfstreewalk.o -c $(ALL_CXXFLAGS) \
	       -DTEST_FSTREEWALK fstreewalk.cpp

READFILE_OBJS= trreadfile.o $(BIGLIB)
trreadfile : $(READFILE_OBJS)
	$(CXX) -o trreadfile $(READFILE_OBJS) $(LIBICONV) $(LIBSYS)
trreadfile.o : readfile.cpp readfile.h
	$(CXX) -o trreadfile.o -c $(ALL_CXXFLAGS) \
	       -DTEST_READFILE readfile.cpp

CIRCACHE_OBJS= trcircache.o $(BIGLIB)
trcircache : $(CIRCACHE_OBJS)
	$(CXX) -o trcircache $(CIRCACHE_OBJS) $(LIBICONV) $(LIBSYS) -lz
trcircache.o : circache.cpp circache.h
	$(CXX) -o trcircache.o -c $(ALL_CXXFLAGS) \
	       -DTEST_CIRCACHE circache.cpp

COPYFILE_OBJS= trcopyfile.o $(BIGLIB)
trcopyfile : $(COPYFILE_OBJS)
	$(CXX) -o trcopyfile $(COPYFILE_OBJS) $(LIBICONV) $(LIBSYS)
trcopyfile.o : copyfile.cpp copyfile.h
	$(CXX) -o trcopyfile.o -c $(ALL_CXXFLAGS) \
	       -DTEST_COPYFILE copyfile.cpp

MD5_OBJS= trmd5.o $(BIGLIB)
trmd5 : $(MD5_OBJS)
	$(CXX) -o trmd5 $(MD5_OBJS) $(LIBICONV) $(LIBSYS)
trmd5.o : md5.cpp md5.h
	$(CXX) -o trmd5.o -c $(ALL_CXXFLAGS) -DTEST_MD5 md5.cpp

PATHUT_OBJS= trpathut.o  $(BIGLIB)
trpathut : $(PATHUT_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trpathut $(PATHUT_OBJS)  $(LIBICONV) $(LIBSYS)
trpathut.o : pathut.cpp pathut.h
	$(CXX) -o trpathut.o -c $(ALL_CXXFLAGS) -DTEST_PATHUT pathut.cpp

NETCON_OBJS= trnetcon.o  $(BIGLIB)
trnetcon : $(NETCON_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trnetcon $(NETCON_OBJS)  $(LIBICONV) $(LIBSYS)
trnetcon.o : netcon.cpp netcon.h
	$(CXX) -o trnetcon.o -c $(ALL_CXXFLAGS) -DTEST_NETCON netcon.cpp

FILEUDI_OBJS= trfileudi.o  $(BIGLIB)
trfileudi : $(FILEUDI_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trfileudi $(FILEUDI_OBJS)
trfileudi.o : fileudi.cpp fileudi.h
	$(CXX) -o trfileudi.o -c $(ALL_CXXFLAGS) -DTEST_FILEUDI fileudi.cpp

EXECMD_OBJS= trexecmd.o $(BIGLIB)
trexecmd : $(EXECMD_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) $(LIBICONV) $(LIBSYS)
trexecmd.o : execmd.cpp execmd.h
	$(CXX) -o trexecmd.o -c $(ALL_CXXFLAGS) -DTEST_EXECMD execmd.cpp

TRANSCODE_OBJS= trtranscode.o  $(BIGLIB) 
transcode : $(TRANSCODE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o transcode $(TRANSCODE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trtranscode.o : transcode.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_TRANSCODE -c -o trtranscode.o \
	       transcode.cpp

IDFILE_OBJS= tridfile.o  $(BIGLIB) 
idfile : $(IDFILE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o idfile $(IDFILE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
tridfile.o : idfile.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_IDFILE -c -o tridfile.o \
	       idfile.cpp

MIMEPARSE_OBJS= trmimeparse.o  $(BIGLIB) 
trmimeparse : $(MIMEPARSE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trmimeparse $(MIMEPARSE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trmimeparse.o : mimeparse.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMEPARSE -c -o trmimeparse.o \
	       mimeparse.cpp

SMALLUT_OBJS= trsmallut.o ../lib/smallut.o
smallut : $(SMALLUT_OBJS) smallut.h
	$(CXX) $(ALL_CXXFLAGS) -o smallut $(SMALLUT_OBJS) $(LIBICONV)
trsmallut.o : smallut.cpp smallut.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_SMALLUT -c -o trsmallut.o \
	       smallut.cpp
../lib/smallut.o: smallut.cpp smallut.h
	cd ../lib;make smallut.o

WIPEDIR_OBJS= trwipedir.o $(BIGLIB) 
wipedir : $(WIPEDIR_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o wipedir $(WIPEDIR_OBJS) $(LIBICONV) $(LIBSYS)
trwipedir.o : wipedir.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_WIPEDIR -c -o trwipedir.o wipedir.cpp

UTF8ITER_OBJS= trutf8iter.o 
utf8iter : $(UTF8ITER_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o utf8iter $(UTF8ITER_OBJS) $(BIGLIB) \
	       $(LIBICONV) $(LIBSYS)
trutf8iter.o : utf8iter.cpp utf8iter.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_UTF8ITER -c -o trutf8iter.o utf8iter.cpp

CONFTREE_OBJS= trconftree.o  $(BIGLIB)
trconftree : $(CONFTREE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trconftree $(CONFTREE_OBJS) \
	       $(LIBICONV) $(LIBSYS)
trconftree.o : conftree.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_CONFTREE -c -o trconftree.o conftree.cpp

BASE64_OBJS= trbase64.o  $(BIGLIB)
trbase64 : $(BASE64_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trbase64 $(BASE64_OBJS)
trbase64.o : base64.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_BASE64 -c -o trbase64.o base64.cpp

X11MON_OBJS= trx11mon.o x11mon.o
trx11mon : $(X11MON_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trx11mon $(X11MON_OBJS) -L/usr/X11R6/lib -lX11
trx11mon.o : x11mon.cpp x11mon.h
	$(CXX) -o trx11mon.o -c $(ALL_CXXFLAGS) -DTEST_X11MON x11mon.cpp
x11mon.o: x11mon.cpp
	$(CXX) -c -I/usr/X11R6/include $(ALL_CXXFLAGS) x11mon.cpp

clean:
	rm -f *.o $(PROGS)

=== doc/prog/Makefile ===
documentation:
	doxygen Doxyfile
clean:
	rm -f docprog_html/*

=== doc/user/Makefile ===
# 
# @(#$Id: Makefile,v 1.1 2006-01-04 11:09:53 dockes Exp $
#
#

MAINTAINER=jfd@recoll.org

DOC?= usermanual
LANGCODE?= en_US.ISO_8859-1
FORMATS?= html txt html-split pdf
JADEFLAGS+=	-V %generate-article-toc%

# The purpose for this is to replace the FreeBSD file which contains the 
# blurb about file being hosted on FreeBSD.org. To work, it also
# needs a modification to /usr/doc/share/mk/doc.docbook.mk. Around line
# 121, replace LANGUAGECATALOG= with LANGUAGECATALOG?=
LANGUAGECATALOG=/usr/doc/share/sgml/catalog

#INSTALL_COMPRESSED?= gz
INSTALL_ONLY_COMPRESSED?=

# 
# SRCS lists the individual SGML files that make up the document. Changes
# to any of these files will force a rebuild
#

# SGML content
SRCS=  usermanual.sgml

# ${.CURDIR}/../../..
DOC_PREFIX?= /usr/doc
.include "${DOC_PREFIX}/share/mk/doc.project.mk"

=== python/recoll/Makefile ===
all:
	python setup.py build
clean:
	rm -rf build
distclean: clean
	rm -f setup.py

=== debian/changelog ===
recoll (1.17.3-2) unstable; urgency=medium

  * debian/rules:
    + Call dh_python2 for python-recoll. (Closes: #681586)
  * debian/control:
    + Added X-Python-Version field for correct Python version dependency.

 -- Kartik Mistry <kartik@debian.org>  Sat, 14 Jul 2012 20:20:56 +0530

recoll (1.17.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/txtcsvopen.diff:
    + Added patch to fix opening of compressed text-files with gnumeric.
      (Closes: #674756)

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jun 2012 11:46:57 +0530

recoll (1.17.2-1) unstable; urgency=low

  * New upstream release:
    + Dropped patches: fix-kFreeBSD-ftbfs.patch, recoll_ionice_getpid.patch.
      These are merged with upstream.
    + Refreshed patch: fix-python-install.patch.
  * debian/rules, debian/control:
    + Added hardening support.
  * debian/copyright:
    + Fixed duplicate Copyright sections.

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 May 2012 10:59:21 +0530

recoll (1.17.1-2) unstable; urgency=low

  * debian/patches:
    + fix-kFreeBSD-ftbfs.patch: Added patch to fix FTBFS on kFreeBSD from
      upstream (Closes: #667083)
    + recoll_ionice_getpid.patch: Added patch to fix FTBFS with gcc-4.7 from
      upstream (Closes: #667352)

 -- Kartik Mistry <kartik@debian.org>  Wed, 04 Apr 2012 12:16:48 +0530

recoll (1.17.1-1) unstable; urgency=low

  * New upstream release.
  * Enable Python module resulting into new binary: python-recoll.
  * debian/control:
    + Updated Build-Deps: libqtwebkit-dev, python-all-dev.
    + Added python-recoll binary.
    + Updated Standards-Version to 3.9.3
  * debian/rules:
    + Build Python module by default.
  * debian/recoll.menu, debian/python-recoll.install, debian/recoll.install:
    + Changes for new binary package.
  * debian/copyright:
    + Updated to copyright-format 1.0
    + Updated upstream and Debian copyright.
    + Fixed unicode.org/copyright.html URL.

 -- Kartik Mistry <kartik@debian.org>  Tue, 27 Mar 2012 12:15:51 +0530

=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7),
               hardening-wrapper,
               libqt4-dev,
               libqtwebkit-dev,
               libx11-dev,
               libxapian-dev (>= 1.0.15),
               libz-dev,
               python-all-dev (>= 2.6.6-3~)
Homepage: http://www.lesbonscomptes.com/recoll
Standards-Version: 3.9.3
X-Python-Version: >= 2.7

Package: recoll
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aspell, python, xdg-utils, xsltproc
Suggests: antiword,
          catdoc,
          ghostscript,
          libimage-exiftool-perl,
          poppler-utils,
          pstotext,
          python-chm,
          python-mutagen,
          unrtf,
          untex
Description: Personal full text search package with a Qt GUI
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI
  * Supports the following document types (and their compressed versions)
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, ppt (catdoc), rtf (unrtf)
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8
  * Stemming performed at query time (can switch stemming language after
    indexing)
  * Easy installation. No database daemon, web server or exotic language
    necessary
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program

Package: python-recoll
Architecture: any
Section: python
Depends: recoll (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs

#build qt4 UI only
export QMAKE=qmake-qt4

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --mandir=\$${prefix}/share/man \
		    --prefix=/usr

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean Makefile

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) STRIP=ls prefix=$(CURDIR)/debian/tmp/usr install
	(cd python/recoll; python setup.py install \
	                                   --install-layout=deb \
	                                   --prefix=$(CURDIR)/debian/tmp/usr )

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_installmenu
	dh_installman
	dh_install --sourcedir=debian/tmp
	dh_python2
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.lesbonscomptes.com/recoll/download.html recoll-(.*)\.tar\.gz

## recoll 1.21.0

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kio_recoll)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7130
    -DRECOLL_DATADIR=\\"${CMAKE_INSTALL_PREFIX}/share/recoll\\"
    -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
    -DHAVE_CONFIG_H
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-qtgui --disable-x11mon --enable-pic --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)
execute_process(COMMAND /bin/sh mkMake
		WORKING_DIRECTORY ${rcltop}/lib
)

link_directories(${rcltop}/lib ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)

CHECK_LIBRARY_EXISTS(dl dlopen "" DLOPEN_IN_LIBDL)
IF(DLOPEN_IN_LIBDL)
	LIST(APPEND EXTRA_LIBS dl)
ENDIF(DLOPEN_IN_LIBDL)
CHECK_LIBRARY_EXISTS(pthread pthread_sigmask "" PTHREAD_IN_LIBPTHREAD)
IF(PTHREAD_IN_LIBPTHREAD)
	LIST(APPEND EXTRA_LIBS pthread)
ENDIF(PTHREAD_IN_LIBPTHREAD)

# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it. Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make librecoll.a
                 WORKING_DIRECTORY ${rcltop}/lib
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll recoll xapian z ${EXTRA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

IF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
     install(FILES recoll.protocol recollf.protocol DESTINATION ${SERVICES_INSTALL_DIR})
ELSE ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
   install(FILES recollnolist.protocol DESTINATION ${SERVICES_INSTALL_DIR}
   		 RENAME recoll.protocol)
ENDIF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)

install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

=== debian/changelog ===
recoll (1.21.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on python3-dev, python-dev, not python3-all-dev and
      python-all-dev. Thanks to Steve Langasek for patch. (Closes: #793636)
    + Added Build-depends on bison.

 -- Kartik Mistry <kartik@debian.org>  Mon, 03 Aug 2015 14:16:32 +0530

recoll (1.20.3-2) unstable; urgency=low

  * Upload to unstable

 -- Kartik Mistry <kartik@debian.org>  Wed, 06 May 2015 10:11:52 +0530

recoll (1.20.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Removed dependency on hardening-wrapper; Using dpkg-buildflags
    + Updated Standards-Version to 3.9.6
    + Added dh-python in Build-Depends.
  * debian/rules:
    + Fixed flags.
    + Use dpkg-buildflags.
  * debian/patches:
    + Removed fix-filter-shebang.patch; Merged upstream.
  * debian/copyright:
    + Removed unused licenses and fixed DEP5 formatting.
  * Added recoll.lintian-overrides for useless postinst/postrm ldconfig calls.

 -- Kartik Mistry <kartik@debian.org>  Sun, 29 Mar 2015 23:17:31 +0530

recoll (1.19.13-1) experimental; urgency=low

  * New upstream release.
  * Uploaded to unstable.
  * debian/control:
    + Added new package python3-recoll for Python3.
    + Updated Standards-Version to 3.9.5
    + python*-recoll depends on recoll (= ${binary:Version})
  * debian/rules:
    + dh_python2/dh_python3 target for separated package.
    + Fixed installation of some filters.
  * Updated debian/watch file.
  * Updated python-recoll.install file.
  * Updated debian/copyright.
  * Added patch to fix shebang for some filters.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 May 2014 15:01:30 +0530

recoll (1.19.7-1) experimental; urgency=low

  * New upstream release.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sun, 06 Oct 2013 21:22:26 +0530

recoll (1.19.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    + Removed: fix-manpage-typos.patch. Merged upstream.
    + Refreshed: fix-python-install.patch.
  * debian/control:
    + Updated Standards-Version to 3.9.4
  * debian/*.install, debian/rules:
    + Updated for upstream changes.

 -- Kartik Mistry <kartik@debian.org>  Sun, 29 Sep 2013 20:13:59 +0530

recoll (1.18.1-1) experimental; urgency=low

  * New upstream version:
    + Please read README.Debian for changes in index db format.
  * debian/patches/txtcsvopen.diff:
    + Dropped. Merged upstream.
  * debian/patches/fix-manpage-typos.patch:
    + Added patch to fix manpage typos and groff errors.
  * debian/control:
    + Added VCS-* fields.

 -- Kartik Mistry <kartik@debian.org>  Tue, 13 Nov 2012 12:29:46 +0530

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,22 @@
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: autotools-dev,
+               bison,
                debhelper (>= 7),
-               hardening-wrapper,
+               dh-python,
+               dpkg-dev (>= 1.16.1~),
                libqt4-dev,
                libqtwebkit-dev,
                libx11-dev,
-               libxapian-dev (>= 1.0.15),
+               libxapian-dev (>= 1.2.0),
                libz-dev,
-               python-all-dev (>= 2.6.6-3~)
+               python-dev (>= 2.6.6-3~),
+               python3-dev
+X-Python-Version: >= 2.7
+Vcs-Git: git://anonscm.debian.org/collab-maint/recoll.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/recoll.git;a=summary
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.9.3
-X-Python-Version: >= 2.7
+Standards-Version: 3.9.6
 
 Package: recoll
 Architecture: any
@@ -55,7 +60,7 @@
 Package: python-recoll
 Architecture: any
 Section: python
-Depends: recoll (>= ${source:Version}),
+Depends: recoll (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -65,3 +70,17 @@
  .
  This package provides Python extension module for recoll which can be use to
  extend recoll such as an Ubuntu Unity Lens.
+
+Package: python3-recoll
+Architecture: any
+Section: python
+Depends: recoll (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python extension for recoll (Python3)
+ Personal full text search package which is based on a very strong backend
+ (Xapian), for which it provides an easy to use and feature-rich interface.
+ .
+ This package provides Python3 extension module for recoll which can be use to
+ extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall -g
-LDFLAGS = -Wl,-z,defs
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 #build qt4 UI only
 export QMAKE=qmake-qt4
@@ -48,9 +52,14 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
 	$(MAKE) STRIP=ls prefix=$(CURDIR)/debian/tmp/usr install
+	# Work around recollinstall forgetting the PPT text-extract utility
+	install -m 0444 filters/msodump.zip $(CURDIR)/debian/tmp/usr/share/recoll/filters
+	install -m 0555 filters/ppt-dump.py $(CURDIR)/debian/tmp/usr/share/recoll/filters
 	(cd python/recoll; python setup.py install \
+	                                   --install-layout=deb \
+	                                   --prefix=$(CURDIR)/debian/tmp/usr )
+	(cd python/recoll; python3 setup.py install \
 	                                   --install-layout=deb \
 	                                   --prefix=$(CURDIR)/debian/tmp/usr )
 
@@ -62,11 +71,14 @@
 	dh_installmenu
 	dh_installman
 	dh_install --sourcedir=debian/tmp
-	dh_python2
+	dh_makeshlibs
+	dh_python2 -p python-recoll
+	dh_python3 -p python3-recoll
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_lintian
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
